Subject: Re: Regression in e1000e since Kernel 4.14.3

From: Greg KH <[email-masked]>
Date: Tue, 5 Dec 2017 10:23:20 +0100

On Tue, Dec 05, 2017 at 10:16:03AM +0100, Gabriel C wrote:
> On 05.12.2017 09:53, Greg KH wrote:
> > On Tue, Dec 05, 2017 at 09:20:33AM +0100, Gabriel C wrote:
> > > On 05.12.2017 07:19, Greg KH wrote:
> > > > On Tue, Dec 05, 2017 at 07:18:34AM +0100, Greg KH wrote:
> > > > > On Tue, Dec 05, 2017 at 12:47:10AM +0100, Gabriel C wrote:
> > > > > > On 04.12.2017 23:10, [email-masked] wrote:
> > > > > > 
> > > > > > > Hallo
> > > > > > > 
> > > > > > > someone and I got an regression with e1000e since kernel 4.14.3 and it seems there is 4.14.4 on the way without a fix.
> > > > > > > 
> > > > > > > 
> > > > > > > bug report is here:
> > > > > > > 
> > > > > > > https://bugzilla.kernel.org/show_bug.cgi?id=198047
> > > > > > 
> > > > > > ( added stable and netdev to CC )
> > > > > > 
> > > > > > Yes I have a box with e1000e and it seems something at least breaks NM after 4.14.3.
> > > > > 
> > > > > Again, can people try 4.14.5-rc1?  It should be resolved there.
> > > > 
> > > > Oops, that would be 4.14.4-rc1.  Any why do you say above that is on the
> > > > way without a fix, did you test it?
> > > 
> > > I didn't tested 4.14.4-rc1 but somone from the bug report tested it and told is not resolved.
> > > 
> > > I'll fire up an build in a bit and let you know.
> > 
> > Great, and maybe cc: the developers and mailing list for this driver at
> > the same time?  :)
> > 
> 
> Greg,
> 
> last time I reported something about e100* someone told me to just CC netdev =)
> 
> However the issue still remains with 4.14.4-rc1 and NM , and is still fine with connman.
> 
> I don't even think is something about the driver itself because I've quick compiled the out-of-tree-e1000e
> and breaks with NM in the same way. ( which should not be possible ? )
> 
> Even when 4.14.3 was biggiSH :) after a quick scan and assuming the e1000e patches are fine , remaining candidates
> should be the IRQ* and x86/* ones ?

I am not assuming the e1000e patches are all fine :)

Any chance you can do a 'git bisect' between 4.14.2 and 4.14.3 to find
the offending patch?

thanks,

greg k-h